const JSON_PATH = '../../comment.json'
const LIMIT = 30
const app = Vue.createApp({
  setup() {
    document.body.removeAttribute('hidden')
  },
  data () {
    return {
      comments: []
    }
  },
  methods: {
    getStyle(comment) {
      if (comment.service === 'youtube' && comment.data.colors) {
        const style = {
          '--lcv-background-color': comment.data.colors.bodyBackgroundColor,
          '--lcv-text-color': comment.data.colors.bodyTextColor,
        }
        return style
      } 
    }
  },
  mounted () {
    const request = () => {
      axios
        .get(JSON_PATH)
        .then(res => {
          this.comments = res.data.comments.slice(-LIMIT)
          setTimeout(request, 1500)
        })
        .catch((e) => {
          console.error(e)
          setTimeout(request, 5000)
        })
    }
    request()
  },
})
app.mount("#container");
